import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;

public class Hindenburg {
    public static int mask;
    public static void main(String[] args) throws IOException {
        var br = new BufferedReader(new InputStreamReader(System.in));

        var line = br.readLine();

        int n = Integer.parseInt(line.split("\\s")[0]);
        int k = Integer.parseInt(line.split("\\s")[1]);

        line = br.readLine();
        var tok = new StringTokenizer(line, " ");


        var list = new LinkedList<Integer>();

        for (int i = 0; i < n; i++) {
            list.add(Integer.parseInt(tok.nextToken()));
        }

        for (int i = 30; i >= 0 ; i--) {
            mask = 1 << i;

            long count = list.stream().filter(x -> (x & mask) != 0).count();
            if (count >= k) {
                list.removeIf(x -> (x & mask) == 0);
            }
        }

        int count = 0;
        Collections.sort(list, Comparator.reverseOrder());

        int result = list.get(0);

        for (int x : list) {
            result &= x;

            count++;
            if (count >= k) {
                break;
            }
        }

        System.out.println(result);
    }
}
