import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Ponk {
    public static final String CHARS = "ACGT";

    public static void main(String[] args) throws IOException {
        var br = new BufferedReader(new InputStreamReader(System.in));

        var a1 = br.readLine().toCharArray();
        var a2 = br.readLine().toCharArray();

        var swaps = new int[4][4];

        for (int i = 0; i < a1.length; i++) {
            int ind1 = convert(a1[i]);
            int ind2 = convert(a2[i]);

            swaps[ind1][ind2]++;
        }

        for (int i = 0; i < 4; i++) {
            for (int j = 0; j < 4; j++) {
                System.out.printf("%c->%c: %d\n", CHARS.charAt(i), CHARS.charAt(j), swaps[i][j]);
            }
        }
    }

    public static int convert(char c) {
        return CHARS.indexOf(c);
    }

}
